org.yaml.snakeyaml.error

## Class YAMLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.yaml.snakeyaml.error.YAMLException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EmitterException, MarkedYAMLException, MissingEnvironmentVariableException, ReaderException, SerializerException

    public class YAMLException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`YAMLException(String message)`
`YAMLException(String message, Throwable cause)`
`YAMLException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### YAMLException

    public YAMLException(String message)

#### YAMLException

    public YAMLException(Throwable cause)

#### YAMLException

    public YAMLException(String message,
                 Throwable cause)